Subject: Re: bug#42307: Feature request: Visual block attribute for overlays

From: Juri Linkov <[email-masked]>
Date: Mon, 13 Jul 2020 02:59:17 +0300

>> How this highlighting is different from the rectangle selection mode
>> activated by 'C-x SPC'?
>
> I'm not the OP, but I think the point is to provide
> different behaviors for overlays, just as we now
> have the original behavior (rebaptized as :extend)
> and the new behavior that doesn't extend.
>
> It's not about text selection or defining the region.
> It's about overlay properties.  That's my understanding,
> anyway.

This is exactly what I meant.  I only asked if it should look like
the highlighting created by rectangle selection mode where the
beginning of the overlay is under point and its left border goes down
on the same column to the last line of the overlay.

More generally the question is: what rules define the column
of the left vertical border and its right border?
I see at least these possible options:

1. for left vertical border:
- the same column where point currently is located;
- the leftmost column with non-whitespace character

2. for right vertical border:
- the rightmost column with non-whitespace character;
- something more?